// This file was auto-generated by action-io-generator. Do not edit by hand!
export enum Inputs {
    /**
     * Label the image with this ARCH, instead of defaulting to the host architecture.
     * Required: false
     * Default: None.
     */
    ARCH = "arch",
    /**
     * Alias for "arch". "arch" takes precedence if both are set.
     * Required: false
     * Default: None.
     */
    ARCHS = "archs",
    /**
     * The base image to use to create a new container image
     * Required: false
     * Default: None.
     */
    BASE_IMAGE = "base-image",
    /**
     * List of --build-args to pass to buildah
     * Required: false
     * Default: None.
     */
    BUILD_ARGS = "build-args",
    /**
     * List of Containerfile paths (eg: ./Containerfile)
     * Required: false
     * Default: None.
     */
    CONTAINERFILES = "containerfiles",
    /**
     * List of files/directories to copy inside the base image
     * Required: false
     * Default: None.
     */
    CONTENT = "content",
    /**
     * Path of the directory to use as context (default: .)
     * Required: false
     * Default: "."
     */
    CONTEXT = "context",
    /**
     * Alias for "containerfiles". "containerfiles" takes precedence if both are set.
     * Required: false
     * Default: None.
     */
    DOCKERFILES = "dockerfiles",
    /**
     * The entry point to set for containers based on image
     * Required: false
     * Default: None.
     */
    ENTRYPOINT = "entrypoint",
    /**
     * List of environment variables to be set when running containers based on image
     * Required: false
     * Default: None.
     */
    ENVS = "envs",
    /**
     * Extra args to be passed to buildah bud.
     * Separate arguments by newline. Do not use quotes - @actions/exec will do the quoting for you.
     * Required: false
     * Default: None.
     */
    EXTRA_ARGS = "extra-args",
    /**
     * The name (reference) of the image to build
     * Required: false
     * Default: None.
     */
    IMAGE = "image",
    /**
     * Set to true to cache intermediate layers during build process
     * Required: false
     * Default: None.
     */
    LAYERS = "layers",
    /**
     * Set to true to build using the OCI image format instead of the Docker image format
     * Required: false
     * Default: "false"
     */
    OCI = "oci",
    /**
     * Label the image with this PLATFORM, instead of defaulting to the host platform.
     * Only supported for containerfile builds.
     * Required: false
     * Default: None.
     */
    PLATFORM = "platform",
    /**
     * The port to expose when running containers based on image
     * Required: false
     * Default: None.
     */
    PORT = "port",
    /**
     * The tags of the image to build. For multiple tags, seperate by whitespace. For example, "latest v1".
     * Required: false
     * Default: "latest"
     */
    TAGS = "tags",
    /**
     * The working directory to use within the container
     * Required: false
     * Default: None.
     */
    WORKDIR = "workdir",
}

export enum Outputs {
    /**
     * Name of the image built
     * Required: false
     * Default: None.
     */
    IMAGE = "image",
    /**
     * Name of the image tagged with the first tag present
     * Required: false
     * Default: None.
     */
    IMAGE_WITH_TAG = "image-with-tag",
    /**
     * List of the tags that were created, separated by spaces
     * Required: false
     * Default: None.
     */
    TAGS = "tags",
}
